recalc.reStruct {nlme} | R Documentation

## Recalculate for an reStruct Object

### Description

The log-likelihood, or restricted log-likelihood, of the Gaussian linear mixed-effects model represented by `object` and `conLin` (assuming spherical within-group covariance structure), evaluated at `coef(object)` is calculated and added to the `logLik` component of `conLin`. The `settings` attribute of `object` determines whether the log-likelihood, or the restricted log-likelihood, is to be calculated. The computational methods for the (restricted) log-likelihood calculations are described in Bates and Pinheiro (1998).

### Usage

    ## S3 method for class 'reStruct'
    recalc(object, conLin, ...)

### Arguments

`object` | an object inheriting from class `"reStruct"`, representing a random effects structure and consisting of a list of `pdMat` objects.
`conLin` | a condensed linear model object, consisting of a list with components `"Xy"`, corresponding to a regression matrix (`X`) combined with a response vector (`y`), and `"logLik"`, corresponding to the log-likelihood of the underlying model.
`...` | some methods for this generic require additional arguments. None are used in this method.

### Value

the condensed linear model with its `logLik` component updated.

### Author(s)

José Pinheiro and Douglas Bates bates@stat.wisc.edu

### See Also

`logLik`, `lme`, `recalc`, `reStruct`

[Package nlme version 3.1-139 Index]